스플래시 페이지
GET https://u.page/api/splash-pages/
curl --request GET \
--url 'https://u.page/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: name입니다. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용되는 값은: splash_page_id, datetime, last_datetime, name. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 05:31:57"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/splash-pages?page=1",
"last": "https://u.page/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/splash-pages?page=1"
}
}
GET https://u.page/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 05:31:57"
}
}
POST https://u.page/api/splash-pages
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| name | 필요합니다 문자열 | - |
| title | 선택 사항 문자열 | - |
| logo | 선택 사항 파일 | - |
| favicon | 선택 사항 파일 | - |
| opengraph | 선택 사항 파일 | - |
| description | 선택 사항 문자열 | - |
| secondary_button_name | 선택 사항 문자열 | - |
| secondary_button_url | 선택 사항 문자열 | - |
| custom_css | 선택 사항 문자열 | - |
| custom_js | 선택 사항 문자열 | - |
| ads_header | 선택 사항 문자열 | - |
| ads_footer | 선택 사항 문자열 | - |
| link_unlock_seconds | 선택 사항 정수 | - |
| auto_redirect | 선택 사항 부울 | - |
curl --request POST \
--url 'https://u.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://u.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 05:31:57"
}
}
POST https://u.page/api/splash-pages/{splash_page_id}
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| title | 선택 사항 문자열 | - |
| logo | 선택 사항 파일 | - |
| favicon | 선택 사항 파일 | - |
| opengraph | 선택 사항 파일 | - |
| description | 선택 사항 문자열 | - |
| secondary_button_name | 선택 사항 문자열 | - |
| secondary_button_url | 선택 사항 문자열 | - |
| custom_css | 선택 사항 문자열 | - |
| custom_js | 선택 사항 문자열 | - |
| ads_header | 선택 사항 문자열 | - |
| ads_footer | 선택 사항 문자열 | - |
| link_unlock_seconds | 선택 사항 정수 | - |
| auto_redirect | 선택 사항 부울 | - |
curl --request POST \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 05:31:57"
}
}
DELETE https://u.page/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \